
/**
 * Module dependencies.
 */

var Chance = require('chance');
var validator = require('is-my-json-valid');
var Generator = require('..');
var identify = require('./identify');

var chance = new Chance();
var gen = new Generator(identify);
var validate = validator(identify, {
  greedy: true,
  verbose: true
});

var obj = gen.generate();
var isValid = validate(obj);
console.log(obj);
console.log('Valid:', isValid);
if (!isValid) {
  console.error('Errors:');
  console.error(validate.errors);
}
